#-------------------------------------------------
#
# Project created by QtCreator 2020-09-14T10:46:41
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = facetick
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
    keyboard/keyboard.cpp \
    keyboard/LineEditWithKeyboard.cpp \
    keyboard/LineEditWithPopup.cpp \
    interface/View.cpp \
    interface/BackstageInterfaceForUi.cpp \
    interface/BackStage.cpp \
    recoUi/recoUiRecognize.cpp \
    recoUi/recoUiCallConsole.cpp \
    recoUi/recoUiRecognizeScene.cpp \
    recoUi/recoUiUnauthorized.cpp \
    recoUi/recoUiCallDial.cpp \
    recoUi/recoUiRecognizeTypeBase.cpp \
    recoUi/recoUiPassword.cpp \
    recoUi/recoUiHealthCode.cpp \
    recoUi/recoUi.cpp \
    recoUi/recoUiScreensaver.cpp \
    setupUi/SetupUi.cpp \
    setUi/settingUiFastCfg.cpp \
    setUi/settingUiSysMng.cpp \
    setUi/settingUiInfo.cpp \
    setUi/settingUiAccMng.cpp \
    setUi/settingUIProjectSet.cpp \
    setUi/settingUiFaceMng.cpp \
    setUi/settingUi.cpp \
    setUi/settingUiDevMng.cpp \
    setUi/settingUiRecoSet.cpp \
    setUi/settingUiDevTest.cpp \
    utility/DndModeCountDownItem.cpp \
    utility/SwitchControl.cpp \
    utility/UiTools.cpp \
    mainUi/UiConfig.cpp \
    mainUi/mainUi.cpp


HEADERS += \
    keyboard/LineEditWithKeyboard.h \
    keyboard/keyboard.h \
    keyboard/LineEditWithPopup.h \
    interface/BackStage.h \
    interface/View.h \
    interface/BackstageInterfaceForUi.h \
    interface/UiInterfaceForBackstage.h \
    recoUi/recoUiHealthCode.h \
    recoUi/recoUiCallDial.h \
    recoUi/recoUiCallConsole.h \
    recoUi/recoUiPassword.h \
    recoUi/recoUiRecognizeScene.h \
    recoUi/recoUiRecognize.h \
    recoUi/recoUiScreensaver.h \
    recoUi/recoUiUnauthorized.h \
    recoUi/recoUiRecognizeTypeBase.h \
    recoUi/recoUi.h \
    setupUi/SetupUi.h \
    setUi/settingUiDevTest.h \
    setUi/settingUiAccMng.h \
    setUi/settingUIProjectSet.h \
    setUi/settingUiFastCfg.h \
    setUi/settingUi.h \
    setUi/settingUiRecoSet.h \
    setUi/settingUiDevMng.h \
    setUi/settingUiSysMng.h \
    setUi/settingUiInfo.h \
    setUi/settingUiFaceMng.h \
    utility/AsyncEvent.h \
    utility/SwitchControl.h \
    utility/DndModeCountDownItem.h \
    utility/UiTools.h \
    mainUi/debug.h \
    mainUi/UiConfig.h \
    mainUi/UiCommon.h \
    mainUi/mainUi.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res.qrc

CONFIG += C++11
#CONFIG      += console pro

TRANSLATIONS += FaceTick_TC.ts
TRANSLATIONS += FaceTick_EN.ts
TRANSLATIONS += FaceTick_JP.ts
TRANSLATIONS += FaceTick_KR.ts
TRANSLATIONS += FaceTick_SP.ts
TRANSLATIONS += FaceTick_TH.ts
TRANSLATIONS += FaceTick_PT.ts
TRANSLATIONS += FaceTick_IT.ts
TRANSLATIONS += FaceTick_FR.ts
TRANSLATIONS += FaceTick_IW.ts
TRANSLATIONS += FaceTick_DE.ts
TRANSLATIONS += FaceTick_TR.ts
TRANSLATIONS += FaceTick_HU.ts
