#ifndef LINEEDITWITHPOPUP_H
#define LINEEDITWITHPOPUP_H

#include <QLineEdit>
#include <QStringList>

class LineEditWithPopup : public QLineEdit
{
    Q_OBJECT
public:
    explicit LineEditWithPopup(QWidget *parent = nullptr);
signals:
    void signalCallPopup();

public slots:
    void slotShowPopup();

private:
    QStringList* m_list;
    void mousePressEvent(QMouseEvent *event);
};

#endif // LINEEDITWITHPOPUP_H
