#ifndef SETTINGUIFASTCFG_H
#define SETTINGUIFASTCFG_H

#include "settingUiDevMng.h"
#include "recoUiRecognize.h"



class settingUiFastCfgWireNet : public MyWidgetWithMainStyleColor
{
    Q_OBJECT
public:
	static int m_pageIndex;
    explicit settingUiFastCfgWireNet(int pageIndex, QWidget *parent = nullptr);
	void setBackstageUiinterface(BackstageInterfaceForUi* interface);
    void reset();

signals:
    void signalJumpPage(int pageIndex);

public slots:
    void slotBtnClicked();

private:
    settingUiDevMngNetWire* m_wireNet;
    QPushButton* m_btnNext;
};

class settingUiPark : public SettingUiPage
{
    Q_OBJECT
public:
    enum{
		FAST_CFG_DEV_POSI
#if 0
        FAST_CFG_PARK_INFO,        
        FAST_CFG_SERVER
#endif
    };
    static int m_pageIndex;
    explicit settingUiPark(QWidget *parent = nullptr);
    void reset();

signals:

public slots:
    void slotItemClicked(QListWidgetItem*);
};

class settingUiFastCfgPark : public MyWidgetWithMainStyleColor
{
    Q_OBJECT
public:
	static int m_pageIndex;
    explicit settingUiFastCfgPark(int pageIndex, QWidget *parent = nullptr);
	void setBackstageUiinterface(BackstageInterfaceForUi* interface);
    void reset();

signals:
    void signalJumpPage(int pageIndex);

public slots:
    void slotBtnClicked();

private:
    settingUiPark* m_park;
    QPushButton* m_btnNext;
};

class SettingUiQrcode : public WidgetWithBackstageInterface
{
    Q_OBJECT
public:
	static int m_pageIndex;
	static const int TIP_FONT_SIZE[UiConfig::SUPPORT_SCREEN_SIZE_QUANTITY];
	static const QString BG_RES_FILE[UiConfig::SUPPORT_SCREEN_SIZE_QUANTITY];
    explicit SettingUiQrcode(int pageIndex, QWidget *parent = nullptr);
    void reset();
signals:
	void signalExitSettingUi();
	
public slots:
	void slotCenterMsg(const int nPage, const QString& msg);
	void slotQrcodeFastCfgResult(bool isSuccessed);

private:
	CenterMsgWidget* m_widget_cMsg;
};


#endif // SETTINGUIFASTCFG_H
